Irrlicht Engine: irr::scene::IAnimatedMesh Class Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::IAnimatedMesh Class Reference

Interface for an animated mesh. More...

`#include <IAnimatedMesh.h>`

Inheritance diagram for irr::scene::IAnimatedMesh:

List of all members.

## Public Member Functions
virtual u32 | getFrameCount () const =0
| Gets the frame count of the animated mesh.
virtual IMesh * | getMesh (s32 frame, s32 detailLevel=255, s32 startFrameLoop=-1, s32 endFrameLoop=-1)=0
| Returns the IMesh interface for a frame.
virtual E_ANIMATED_MESH_TYPE | getMeshType () const
| Returns the type of the animated mesh.

## Detailed Description

Interface for an animated mesh.

There are already simple implementations of this interface available so you don't have to implement this interface on your own if you need to: You might want to use irr::scene::SAnimatedMesh, irr::scene::SMesh, irr::scene::SMeshBuffer etc.

Definition at line 55 of file IAnimatedMesh.h.

## Member Function Documentation

virtual u32 irr::scene::IAnimatedMesh::getFrameCount | ( |  | ) | const`[pure virtual]`

Gets the frame count of the animated mesh.

Returns:
  Returns the amount of frames. If the amount is 1, it is a static, non animated mesh.

Implemented in irr::scene::SAnimatedMesh.

virtual IMesh* irr::scene::IAnimatedMesh::getMesh | ( | s32 | frame,
|  | s32 | detailLevel = `255`,
|  | s32 | startFrameLoop = `-1`,
|  | s32 | endFrameLoop = `-1` |
| ) |  |  | `[pure virtual]`

Returns the IMesh interface for a frame.

Parameters:

  | frame,: | Frame number as zero based index. The maximum frame number is getFrameCount() - 1;
  | detailLevel,: | Level of detail. 0 is the lowest, 255 the highest level of detail. Most meshes will ignore the detail level.
  | startFrameLoop,: | Because some animated meshes (.MD2) are blended between 2 static frames, and maybe animated in a loop, the startFrameLoop and the endFrameLoop have to be defined, to prevent the animation to be blended between frames which are outside of this loop. If startFrameLoop and endFrameLoop are both -1, they are ignored.
  | endFrameLoop,: | see startFrameLoop.

Returns:
  Returns the animated mesh based on a detail level.

Implemented in irr::scene::SAnimatedMesh.

virtual E_ANIMATED_MESH_TYPE irr::scene::IAnimatedMesh::getMeshType | ( |  | ) | const`[inline, virtual]`

Returns the type of the animated mesh.

In most cases it is not neccessary to use this method. This is useful for making a safe downcast. For example, if getMeshType() returns EAMT_MD2 it's safe to cast the IAnimatedMesh to IAnimatedMeshMD2.

Returns:
  Type of the mesh.

Reimplemented in irr::scene::SAnimatedMesh.

Definition at line 85 of file IAnimatedMesh.h.

The documentation for this class was generated from the following file:

- IAnimatedMesh.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:06 2010 by Doxygen (1.6.2)